For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Order Without CompanyID
              • GETGet Company Orders
              • POSTCreate An Order
              • PUTUpdate Company Order With BC OrderId
              • POSTUpdate BC Order's 'Company attribute'
              • PUTUpdate B2BE User's Orders' company attribute.
              • GETGet Orders Images
              • GETGet Company By BC OrderId
              • GETGet Company Id By Order Id
              • GETGet Order Detail
              • GETGet Order Product
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIOrder

Get Company By BC OrderId

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/orders/:orderBCId/companyIdBCId
GET
/api/v2/io/orders/:orderBCId/companyIdBCId
$curl https://api-b2b.bigcommerce.com/api/v2/io/orders/orderBCId/companyIdBCId \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "companyId": "2",
5 "companyName": "ABC.LLC",
6 "customerGroupId": "11"
7 },
8 "message": "Success"
9}
Get company basic info by bc order id
Was this page helpful?
Previous

Get Orders Images

Next

Get Company Id By Order Id

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

orderBCIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Response

Response Success
codedouble
Response status code
dataobject
Response error data
messagestring
Response message

Errors

400
Bad Request Error